Get SKU

Next
Get
/amazeApiRest/rest/v1/catalogs/1/skus

Returns the list of all SKUs associated with a catalog and condition.

Header parameters
X-Access-Token
string
ExampleAHiWIfzgk1agkj29iosfL47m1ZEE30lEXbZksjCF7BhZTh1pQz220S70
X-Customer-Code
string
ExampleAPITST
X-Oauth-Provider
string
ExampleCODIFYD
Content-Type
string
Exampleapplication/json
X-Requested-With
string
ExampleXMLHttpRequest
x-authorization-mode
string
Examplepassword
X-Client-Secret
string
Example6CHewppLoyVJIVwDAkwEG9J1SRySiISh

NOTE: Use these header parameter examples mentioned above to execute this endpoint on the right and retrieve a sample API response.

Query parameters
fromDateTime
string
Example2025-07-30 07:05
limit
integer
Example100
count
boolean
Exampletrue
conditionName
string
toDateTime
string
customerSkuIds
string
modifiedAttributeName
string
responseAttributeNameList
string
ignoredAttributeNameList
string
includePackageData
boolean
Exampletrue
includeDomainData
string
includeRelationshipAttributeData
boolean
Exampletrue

NOTE: Use these query parameter examples mentioned above to execute this endpoint on the right and retrieve a sample API response.


Query Parameters

The API supports multiple query parameters to filter results, such as:

Version (V1)

The version of the API to use, currently v1 is the only accepted version. 


catalogId (Integer)

The internal identifier for a catalog associated with company / customer account.


conditionName (string)

Name of the condition in PCC to fetch SKUs. 

Note:

When you use this parameter, this parameter takes precedence over all the input parameters such as toDateTime, fromDateTime, customerSkuIds, etc. 


toDateTime (string)

Instructs the API to fetch SKUs which have been modified at or before the timestamp specified in this parameter in UTC timezone.

Note:

If this parameter is used with conditionName parameter then the conditionName takes precedence.

If you use this parameter with any other parameters, the SKUs will be fetched based on all the parameters you provide together.


fromDateTime (string)

Instructs the API to fetch SKUs which have been modified at or after the timestamp specified in this parameter in UTC timezone. The value is a string in the format YYYY-MM-DD HH24: MI.

Note:

If this parameter is used with conditionName parameter then the conditionName takes precedence.

If you use this parameter with any other parameters, the SKUs will be fetched based on all the parameters you provide together.


customerSkuIds (string)

Enter the external ID of SKU based on which the SKUs will be fetched. This input parameter must be able to accept a comma separate list of SKU Item Ids. 

Note:

If this parameter is used with conditionName parameter then the conditionName takes precedence.

If you use this parameter with any other parameters, the SKUs will be fetched based on all the parameters you provide together.


modifiedAttributeName (string)

The modifiedAttributeName parameter allows you to specify unique attribute name to filter SKUs according to the last time that attribute was updated. It's important to note that this parameter must be used with either the fromDateTime or toDateTime parameters to define the time range for the attribute modifications.

Note:

If this parameter is used with conditionName parameter then the conditionName takes precedence.

If you use this parameter with any other parameters, the SKUs will be fetched based on all the parameters you provide together.


responseAttributeNameList (string)

The responseAttributeNameList parameter controls which attributes are included in the JSON response. It should be used alongside at least one other condition parameter, such as a date range or customerSkuIds. This parameter allows you to specify a list of attribute names, separated by a tilde (~), to limit the response to those attributes. It's important to note that attribute names must match exactly as defined in the PIM system, including case sensitivity.


Count (boolean)

If you set the count to true, only then you can see the total number of records fetched in the response. By default, it is set to false.


limit (integer)

This is an optional parameter that specifies the maximum number of items that should be returned in a single API response. For example, if you set the limit to 10, the API will return a maximum of 10 items in the response.


Offset (integer)

This is an optional parameter that specifies the starting point from which the API should fetch the item. For example, if you set the offset to 20 and the limit to 10, the API will skip the first 20 items and return the next 10 items starting from the 21st item.


ignoredAttributeNameList (string)

The ignoredAttributeNameList instructs the API to ignore SKUs where the latest modification date and time for the overall SKU is only because of the changes to attributes that belong to this list. If any other attribute (not in the list) was changed, the SKU will still be included in the response.

This parameter must be used with either the fromDateTime or toDateTime parameter to define the time range for the attribute modifications. The list of attributes are separated by the tilde (~) character.

Example: ignoredAttributeNameList=4G~3G

Note: If this parameter is used with conditionName parameter then the conditionName takes precedence.


includePackageData (string)

Indicates whether package related data for SKUs should be included in the API response.

When set to true, the response will contain all relevant package details associated with each SKU. By default it is set to false.


includeDomainData (string)

Indicates whether domain related data for SKUs should be included in the API response.

When set to true, the response will contain all relevant domain details associated with each SKU. By default it is set to false.


includeRelationshipAttributeData (boolean)

Indicates whether attribute data associated with related domain records should be included in the response.

  • true → includes detailed attribute data for each related domain record
  • false → returns only the domain and domainRecord identifiers (default behavior)
Responses
200

Successful response

Response Parameters

The response body will return a JSON Array of JSON Objects describing SKUs.

amazeKeySkuIdentifier (integer)

Internal identifier of SKU in PCC.


customerCode (Integer)

Name of the customer associated with catalog.


catalogName (string)

Name of the catalog.


customerSkuId (string)

External ID of SKU.


skuTitle (string)

Title associated with SKU.


formulaNameIfDerivedTitle (string)

Name of the formula used to generate SKU title.


Type (string)

Type of SKU. possible values are SKU/Product Family.


residentTaxonomy.taxonomyPath (string)

Path of the taxonomy where SKU resides.


residentTaxonomy.taxonomyName (string)

Name of the taxonomy where SKU resides.


residentTaxonomy.taxonomyCustomerId (string)

Name of the taxonomy where SKU resides.


residentTaxonomy.domainName (string)

The name of the main domain to which taxonomy is linked.


crosslistedToTaxonomies.taxonomyPath (string)

Specifies the full path of the taxonomy where the SKU is cross-listed.


crosslistedToTaxonomies.taxonomyName (string)

Specifies the name of the taxonomy where the SKU is cross-listed.


crosslistedToTaxonomies.taxonomyCustomerId (string)

Customer ID of the taxonomy where SKU is cross-referenced.


mirroredToTaxonomies.taxonomyPath (string)

Path of the taxonomy where SKU mirrored.


mirroredToTaxonomies.taxonomyName (string)

Name of the taxonomy where SKU mirrored.


mirroredToTaxonomies.taxonomyCustomerId (string)

Customer ID of the taxonomy where SKU is mirrored.


mirroredToTaxonomies.domainName (string)

Name of the domain in which taxonomy is mirrored.


skuAttributes.attributeName (string)

Name of the attribute used in SKU.


skuAttributes.customerAttributeId (string)

Customer ID of an attribute used in SKU.


skuAttributes.attributeType (string/media)

Type of the attribute used in SKU. 

NoteThe MEDIA data type is used when a product attribute refers to a digital asset (e.g., an image, video, or document).


skuAttributes.isLocked (boolean)

Identification to determine an attribute under SKU is locked for modification.


skuAttributes.attributeMetaTags.name (string)

Name of the meta tag associated with an attribute.


skuAttributes.attributeMetaTags.description (string)

Description of the meta tag associated with an attribute.


skuAttributes.attributeMetaAttributes.name (string)

Name of the meta-attribute associated with an attribute.


skuAttributes.attributeMetaAttributes.description (string)

Description of the meta-attribute associated with an attribute.


skuAttributes.attributeMetaAttributes.value (string)

Assigned value for the meta-attribute.


skuAttributes.skuAttributeValues.value (string)

Value of the attribute associated with SKU.


skuAttributes.skuAttributeValues.uomName (string)

UOM of the attribute value.


skuAttributes.skuAttributeValues.uomSymbol (string)

UOM symbol for the attribute value.


skuAttributes.skuAttributeValues.formulaNameIfDerivedValue (string)

Name of the formula used to generate value for DERIVED attribute.


digitalAssets.digitalAssetName (string)

Name of the digital asset associated with SKU.


digitalAssets.digitalAssetType (string)

Type of digital asset associated with SKU.


digitalAssets.digitalAssetPublicURL (string)

Public URL to view digital asset associated with SKU.


digitalAssets.digitalAssetThumbnailPublicURL (string)

Public URL to view thumbnail of the digital asset associated with SKU.


digitalAssets.isPrimary (boolean)

Identifier to separate primary/base assets from others.


validationFailures.constraintName (string)

Name of the constraint for which validation failed.


Packages

A collection of package configurations associated with the product, defining how the item is packaged, measured, and sold.

packageName (string)

The name or type of the package (e.g., BAG, BOX, PALLET).


customerPackageId (string)

A unique identifier assigned to the package by the customer for internal tracking.


packageUomCode (string)

The unit of measure for the package (e.g., EACH, CASE), indicating how the package is quantified.


constituentUnits (string)

The number of individual units contained within this package.


bulkLevelUnits (string)

The number of units at the bulk or higher packaging level associated with this package.


gtin (string)

Global Trade Item Number used to uniquely identify the package in supply chains.


orderable (boolean)

Indicates whether this package can be ordered (Y = Yes, N = No).


sellableToEndCustomer (boolean)

Specifies if the package can be sold directly to the end customer (Y = Yes, N = No).


packageAttributes 

A list of additional attributes that describe the physical or functional characteristics of the package.

packageAttributes.attributeName (string)

The name of the attribute (e.g., Height, Width, Weight).


packageAttributes.attributeType (string)

The data type of the attribute value (e.g., String, Number).


packageAttributes.attributeValues (string)

A collection of values associated with the attribute.


attributeValues.values

The actual value of the attribute.

attributeValues.uomName (string)

The full name of the unit of measure associated with the value (e.g., Millimeter).


attributeValues.uomSymbol (string)

The abbreviated symbol of the unit of measure (e.g., mm).


validationFailures.attributeName (string)

Name of the attribute for which validation failed.


validationFailures.customerAttributeId (string)

Customer ID of an attribute for which validation failed.


validationFailures.attributeType (string)

Type of an attribute for which validation failed.


validationFailures.failureMessage (string)

Message for failed validation.


reviewOpenIncidents.changeType (string)

change type of review incident.


reviewOpenIncidents.changeByUserName (string)

Name of the user who has generated a review incident request.


reviewOpenIncidents.incidentCount (integer)

Count of review incident request for change type done by user.


totalRecords (integer)

If the request parameter has the count parameter set to true only, then this parameter will get displayed with the total number of records fetched.


limit (integer)

This is an optional parameter that specifies the maximum number of items that should be returned in a single API response. 

For example, if you set the limit to 10, the API will return a maximum of 10 items in the response.


offset (integer)

This is an optional parameter that specifies the starting point from which the API should fetch the item. 

For example, if you set the offset to 20 and the limit to 10, the API will skip the first 20 items and return the next 10 items starting from the 21st item.

NOTE: Copy the response from the right panel and paste it into any editor (e.g., DOCX or Notepad++) to view the full API response.